Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514909 - man-db-2.7.6.1-5.fc26.x86_64 starts man-db-cache-update.service permanently
Summary: man-db-2.7.6.1-5.fc26.x86_64 starts man-db-cache-update.service permanently
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: man-db
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikola Forró
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-19 12:11 UTC by Harald Reindl
Modified: 2017-12-12 14:49 UTC (History)
3 users (show)

Fixed In Version: man-db-2.7.5-7.fc25 man-db-2.7.6.1-7.fc26 man-db-2.7.6.1-9.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 14:49:13 UTC


Attachments (Terms of Use)

Description Harald Reindl 2017-11-19 12:11:21 UTC
frankly what about ship a man-db-cache-update.timer and leave dnf upgrades alone instead flood systemlogs all the time - in the past it was a cronjob, now it got a systemd unit (fine because of namesapces for enhanced security) and now we trigger "systemctl start" all the time which is a backwards development

Transaktion wird ausgeführt
  Ausgeführtes Scriptlet: None                                                                                                                                                                                 1/1 
  Vorbereitung läuft    :                                                                                                                                                                                      1/1 
  Aktualisieren         : hostapd-2.6-15.fc26.20171119.rh.x86_64                                                                                                                                               1/2 
  Ausgeführtes Scriptlet: hostapd-2.6-15.fc26.20171119.rh.x86_64                                                                                                                                               1/2 
  Aufräumen             : hostapd-2.6-4.fc26.20171017.rh.x86_64                                                                                                                                                2/2 
  Ausgeführtes Scriptlet: hostapd-2.6-4.fc26.20171017.rh.x86_64                                                                                                                                                2/2 
Running as unit: run-r61a58976f2a344b2b307b81772feb94e.service
  Überprüfung läuft     : hostapd-2.6-15.fc26.20171119.rh.x86_64                                                                                                                                               1/2 
  Überprüfung läuft     : hostapd-2.6-4.fc26.20171017.rh.x86_64                                                                                                                                                2/2 

Aktualisiert:
  hostapd.x86_64 2.6-15.fc26.20171119.rh 

Nov 19 13:06:42 srv-rhsoft systemd[1]: Started /usr/bin/systemctl start man-db-cache-update.
Nov 19 13:06:42 srv-rhsoft systemd[1]: Starting man-db-cache-update.service...
Nov 19 13:06:42 srv-rhsoft mandb[25216]: Indexcache des Pfades »/usr/share/man/man8« wird aktualisiert. Bitte warten ...
Nov 19 13:06:42 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man werden gelöscht ...
Nov 19 13:06:42 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man werden verarbeitet ...
Nov 19 13:06:42 srv-rhsoft mandb[25216]: Indexcache des Pfades »/usr/share/man/man1« wird aktualisiert. Bitte warten ...
Nov 19 13:06:42 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/escp2topbm.1.gz: whatis-Verarbeitung für escp2topbm(1) fehlgeschlagen
Nov 19 13:06:42 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/faxformat.1.gz: whatis-Verarbeitung für faxformat(1) fehlgeschlagen
Nov 19 13:06:42 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/mp4subtitle.1.gz: whatis-Verarbeitung für mp4subtitle(1) fehlgeschlagen
Nov 19 13:06:42 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/mp4track.1.gz: whatis-Verarbeitung für mp4track(1) fehlgeschlagen
Nov 19 13:06:42 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/pamfixtrunc.1.gz: whatis-Verarbeitung für pamfixtrunc(1) fehlgeschlagen
Nov 19 13:06:42 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/pampaintspill.1.gz: whatis-Verarbeitung für pampaintspill(1) fehlgeschlagen
Nov 19 13:06:42 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/mp4file.1.gz: whatis-Verarbeitung für mp4file(1) fehlgeschlagen
Nov 19 13:06:42 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/pnmflip.1.gz: whatis-Verarbeitung für pnmflip(1) fehlgeschlagen
Nov 19 13:06:42 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/ppmtogif.1.gz: whatis-Verarbeitung für ppmtogif(1) fehlgeschlagen
Nov 19 13:06:42 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/mp4art.1.gz: whatis-Verarbeitung für mp4art(1) fehlgeschlagen
Nov 19 13:06:42 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/inkscape.el.1.gz: whatis-Verarbeitung für inkscape.el(1) fehlgeschlagen
Nov 19 13:06:42 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/inkscape.sk.1.gz: whatis-Verarbeitung für inkscape.sk(1) fehlgeschlagen
Nov 19 13:06:43 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/openssl-passwd.1ssl.gz ist eine freihängende symbolische Verknüpfung
Nov 19 13:06:43 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/openssl-tsget.1ssl.gz ist eine freihängende symbolische Verknüpfung
Nov 19 13:06:43 srv-rhsoft mandb[25216]: /usr/bin/mandb: Warnung: /usr/share/man/man1/openssl-rand.1ssl.gz ist eine freihängende symbolische Verknüpfung
Nov 19 13:06:43 srv-rhsoft mandb[25216]: fertig.
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten ohne »cat«-Dateien in /usr/share/man werden gesucht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten ohne »cat«-Dateien in /var/cache/man werden gesucht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/pt werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/pt werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/tr werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/tr werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/pt_PT werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/pt_PT werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/nb werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/nb werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/it werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/it werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/id werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/id werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/hr werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/hr werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/fr werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/fr werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/eo werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/eo werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/uk werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/uk werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/zh_TW werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/zh_TW werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/da werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/da werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/nl werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/nl werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/sr werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/sr werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/hu werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/hu werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/zh_CN werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/zh_CN werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/es werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/es werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/ko werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/ko werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/sk werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/sk werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/cs werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/cs werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/pt_BR werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/pt_BR werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/ru werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/ru werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/ca werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/ca werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/lt werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/lt werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/ja werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/ja werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/et werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/et werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/pl werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/pl werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/el werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/el werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/de werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/de werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/zh werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/zh werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/ro werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/ro werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/share/man/sv werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/share/man/sv werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/local/man werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/local/man werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Alte Datenbankeinträge in /usr/local/share/man werden gelöscht ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: Handbuchseiten unter /usr/local/share/man werden verarbeitet ...
Nov 19 13:06:43 srv-rhsoft mandb[25216]: 2 Handbuchverzeichnisse enthielten neuere Handbuchseiten.
Nov 19 13:06:43 srv-rhsoft mandb[25216]: 165 Handbuchseiten wurden hinzugefügt.
Nov 19 13:06:43 srv-rhsoft mandb[25216]: 0 herrenlose »cat«-Dateien wurden hinzugefügt.
Nov 19 13:06:43 srv-rhsoft mandb[25216]: 0 alte Datenbankeinträge wurden entfernt.

Comment 1 Nikola Forró 2017-11-21 11:17:50 UTC
Actually, yes, there was a cron job, but after introducing rpm file triggers (in F23) it got moved into man-db-cron subpackage and cache update was being run from file trigger scriptlets. But that was blocking dnf transaction (see bug #1318058), so I decided to do the update in a transient service to avoid that.

If your concern is flooding systemlogs, I can decrease verbosity of mandb (or make that configurable).

But perhaps it's not a bad idea to make cache update triggered by dnf transaction conditional (but I would still rather leave it enabled by default).

Comment 2 Harald Reindl 2017-11-21 11:23:04 UTC
at least the logging for each and every minor update is horrible and i am tired to have in the meantime a rsyslog.conf with more filters what not to see as any other configurations

Comment 3 Garry T. Williams 2017-11-21 19:31:59 UTC
(In reply to Nikola Forró from comment #1)
> If your concern is flooding systemlogs, I can decrease verbosity of mandb
> (or make that configurable).

Yes, decrease verbosity, please.  There is no reason to log this stuff.

Comment 5 Fedora Update System 2017-11-22 12:17:34 UTC
man-db-2.7.6.1-9.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6aae17af58

Comment 6 Fedora Update System 2017-11-22 12:18:01 UTC
man-db-2.7.6.1-7.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0fbd645750

Comment 7 Fedora Update System 2017-11-22 12:18:17 UTC
man-db-2.7.5-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5c8aaa03b5

Comment 8 Fedora Update System 2017-11-22 17:53:29 UTC
man-db-2.7.5-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5c8aaa03b5

Comment 9 Fedora Update System 2017-11-22 21:43:04 UTC
man-db-2.7.6.1-9.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6aae17af58

Comment 10 Fedora Update System 2017-11-25 01:33:44 UTC
man-db-2.7.6.1-7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0fbd645750

Comment 11 Fedora Update System 2017-12-12 11:16:24 UTC
man-db-2.7.6.1-9.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-12-12 13:40:04 UTC
man-db-2.7.6.1-7.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-12-12 14:38:02 UTC
man-db-2.7.5-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.